On Fri, Oct 29, 2004 at 06:49:09AM +0900, Alexey Verkhovsky wrote:
> On Fri, 2004-10-29 at 00:30, Anders Engströí wrote:
> 
> > Thanks. Would that be the Ruby9i driver (by Jim Cain)? 

> I think what I use is dbd_oci8. Don't remember exactly, I'm not in the
> office right now. At least, I do have something that I installed few
> months ago and that allows me to talk to Oracle 9.2 via DBI :)

Coo.. I'll have to give the oci8 driver a try :)


> > This would allow me to access Oracle 9.2, but I'm still looking for a
> > way to connect to 10g :)

> Is it not backwards-compatible as far as clients are concerned?

Not sure... I guess I'll have to check that. But - if the API is
anything similar to the API the JDBC-drivers (thin and oci) uses then
it's *not* backwards-compatible in any way :/ 

Any practical experience with Oracle 10g and Ruby out there?

//Anders


-- 
. . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .
. Anders Engströí         aengstrom / gnejs.net
. http://www.gnejs.net    PGP-Key: ED010E7F
. [Your mind is like an umbrella. It doesn't work unless you open it.]